import request from '@/utils/request'

// 创建溯源模板
export function createTraceTemplate(data) {
  return request({
    url: '/configure/trace-template/create',
    method: 'post',
    data: data
  })
}

// 更新溯源模板
export function updateTraceTemplate(data) {
  return request({
    url: '/configure/trace-template/update',
    method: 'put',
    data: data
  })
}

// 删除溯源模板
export function deleteTraceTemplate(id) {
  return request({
    url: '/configure/trace-template/delete?id=' + id,
    method: 'delete'
  })
}

// 获得溯源模板
export function getTraceTemplate(id) {
  return request({
    url: '/configure/trace-template/get?id=' + id,
    method: 'get'
  })
}

// 获得溯源模板分页
export function getTraceTemplatePage(query) {
  return request({
    url: '/configure/trace-template/page',
    method: 'get',
    params: query
  })
}

// 导出溯源模板 Excel
export function exportTraceTemplateExcel(query) {
  return request({
    url: '/configure/trace-template/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 通过模板编码获得环节列表信息
export function getTemplateDetail(params) {
  return request({
    url: '/configure/trace-template/getLinkListByTemplateId',
    method: 'get',
    params,
  })
}

// 通过商品编码获得溯源模板
export function getTempListGoodsId(params) {
  return request({
    url: '/configure/trace-template/getTraceTemplateListByGoodsId',
    method: 'get',
    params,
  })
}

// 复制环节信息配置到溯源模板
export function copyToTemplate(data) {
  return request({
    url: '/configure/trace-template/copyLinkConfigToTemplate',
    method: 'post',
    data,
  })
}

// 更新溯源模板环节配置
export function updateLinkConfig(data) {
  return request({
    url: '/configure/trace-template/updateLinkConfig',
    method: 'put',
    data,
  })
}

// 导入溯源环节配置
export function importLinkConfig(data) {
  return request({
    url: '/configure/trace-template/importLinkConfig',
    method: 'POST',
    data,
  })
}

// 导出溯源环节配置
export function exportLinkConfig(params) {
  return request({
    url: '/configure/trace-template/exportLinkConfig',
    method: 'GET',
    params,
  })
}
